Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[RESOLU] [X] pb emerge force ati alors que j'ai une intel
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
_KdZ
n00b
n00b


Joined: 13 Jan 2009
Posts: 33

PostPosted: Fri Jan 08, 2010 8:35 am    Post subject: [RESOLU] [X] pb emerge force ati alors que j'ai une intel Reply with quote

Salut ;)

en essayant de mettre à jour mon portable, emerge à bloqué sur ça :

Code:
[ebuild  N    ] x11-drivers/ati-drivers-9.11  USE="modules -debug (-multilib)" 0 kB [0]


c'est un peu normal car ma carte est un chispset intel...

Code:
 # lspci
00:00.0 Host bridge: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:00.1 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:00.3 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
00:02.1 Display controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 83)
00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller (rev 03)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)
00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller (rev 03)
02:02.0 Ethernet controller: Broadcom Corporation BCM4401 100Base-T (rev 01)
02:04.0 Network controller: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection (rev 05)
02:06.0 CardBus bridge: O2 Micro, Inc. OZ711EC1 SmartCardBus Controller (rev 20)
02:06.1 CardBus bridge: O2 Micro, Inc. OZ711EC1 SmartCardBus Controller (rev 20)
02:07.0 FireWire (IEEE 1394): Texas Instruments TSB43AB21 IEEE-1394a-2000 Controller (PHY/Link)


Que c'est-il passé ?


Last edited by _KdZ on Sun Jan 10, 2010 1:29 pm; edited 2 times in total
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7939
Location: ~Brussels - Belgique

PostPosted: Fri Jan 08, 2010 9:34 am    Post subject: Reply with quote

Salut,

Peux-tu nous donner le contenu de /etc/make.conf ?
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Fri Jan 08, 2010 9:52 am    Post subject: Reply with quote

'alute

En premier, pourais-tu éditer ton message et modifier ton titre afin qu'il respecte nos conventions ? par avance merci.

Concernant ton problème, tu as certainement mis à jour un package qui le réclame (X au hasard s'il y a le use "ati" d'activé par défaut voire s'il est dans le make.conf)
Tu peux vérifier qui le demande en passant l'option "t" à emerge i.e.
Code:
#emerge -puDvt world

_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
_KdZ
n00b
n00b


Joined: 13 Jan 2009
Posts: 33

PostPosted: Fri Jan 08, 2010 1:05 pm    Post subject: Reply with quote

voici le make.conf :

Code:
# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /etc/make.conf.example for a more detailed example.
CFLAGS="-O2 -march=i686 -pipe"
CXXFLAGS="-O2 -march=i686 -pipe"
# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="i686-pc-linux-gnu"
USE="dbus cairo -gnome -kde symlink alsa apache2 xulrunner"
LINGUAS="fr en"
VIDEO_CARDS="fglrx"
PORTDIR_OVERLAY="/usr/local/portage"
PKGDIR="/usr/portage/packages/"


Boozo :

Code:
 # emerge -puDvt world

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[nomerge      ] media-tv/xawtv-3.95-r1  USE="X alsa nls opengl quicktime xv -aalib -dv -lirc -mmx -motif -xext -zvbi"  [0]
[ebuild     U ]  media-libs/libquicktime-1.1.3 [1.1.1] USE="X aac alsa encode gtk jpeg opengl png vorbis x264 -doc -dv -ffmpeg -lame -mmx -schroedinger%" 0 kB [0]
[nomerge      ] net-wireless/wifiscanner-1.0.1-r2  USE="ncurses -wireshark"  [0]
[ebuild     U ]  net-libs/libpcap-1.0.0-r2 [0.9.8-r2] USE="bluetooth%* ipv6" 0 kB [0]
[nomerge      ] dev-util/xxdiff-3.2-r1  USE="python -debug -kde"  [0]
[ebuild     U ]  x11-libs/qt-3.3.8b-r2 [3.3.8b-r1] USE="cups ipv6 opengl -debug -doc -examples -firebird -immqt -immqt-bc -mysql -nas -nis -odbc -postgres -sqlite                                                                           -xinerama" 0 kB [0]
[nomerge      ] xfce-base/xfce4-meta-4.6.1  USE="session"  [0]
[ebuild     U ]  xfce-base/xfdesktop-4.6.1-r1 [4.6.1] USE="branding menu-plugin thunar -debug -doc" LINGUAS="fr -be -ca -cs -da -de -el -es -et -eu -fi -he -hu -it                                                                           -ja -ko -nb_NO -nl -pa -pl -pt_BR -ro -ru -sk -sv -tr -uk -vi -zh_CN -zh_TW" 0 kB [0]
[ebuild     U ]  xfce-base/xfce4-settings-4.6.3 [4.6.1] USE="keyboard libnotify -debug -sound" 0 kB [0]
[nomerge      ] x11-libs/libsynaptics-0.14.6c-r1  [0]
[ebuild     U ]  x11-drivers/xf86-input-synaptics-1.2.0 [1.0.0] USE="hal -debug" 0 kB [0]
[ebuild     U ] www-client/mozilla-firefox-3.5.6 [3.5.4] USE="alsa dbus startup-notification -bindist -custom-optimization -gnome -iceweasel -java -mozdevelop -sql                                                                          ite (-restrict-javascript%)" LINGUAS="en fr -af -ar -as -be -bg -bn -bn_BD -bn_IN -ca -cs -cy -da -de -el -en_GB -en_US -eo -es -es_AR -es_CL -es_ES -es_MX -et -eu                                                                           -fa -fi -fy -fy_NL -ga -ga_IE -gl -gu -gu_IN -he -hi -hi_IN -hr -hu -id -is -it -ja -ka -kk -kn -ko -ku -lt -lv -mk -ml -mn -mr -nb -nb_NO -nl -nn -nn_NO -oc -or                                                                           -pa -pa_IN -pl -pt -pt_BR -pt_PT -rm -ro -ru -si -sk -sl -sq -sr -sv -sv_SE -ta -ta_LK -te -th -tr -uk -vi -zh_CN -zh_TW" 0 kB [0]
[ebuild     U ] net-misc/wicd-1.6.2.2 [1.5.9-r1] USE="libnotify%* ncurses%* pm-utils%* -ioctl%" 0 kB [0]
[ebuild     U ] net-ftp/filezilla-3.3.0.1 [3.2.4.1-r1] USE="dbus nls%* -test" 0 kB [0]
[ebuild     U ] gnome-base/gdm-2.20.10-r2 [2.20.9-r1] USE="branding consolekit%* ipv6 pam tcpd -accessibility -afs -debug -dmx -gnome-keyring -remote (-selinux) -x                                                                          inerama" 0 kB [0]
[ebuild     U ] x11-base/xorg-x11-7.4-r1 [7.2] 0 kB [0]
[ebuild     U ] media-video/vlc-1.0.2 [0.9.10] USE="X a52 aac alsa dbus dts dvd ffmpeg flac gcrypt hal libnotify mp3 mpeg ncurses ogg opengl png qt4 sdl svg truety                                                                          pe v4l v4l2 vorbis win32codecs x264 xml xv -aalib (-altivec) -atmo -avahi -bidi -cdda -cddax -cddb -cdio -dc1394 -debug -dirac -directfb -dvb -fbcon -fluidsynth -f                                                                          ontconfig -ggi -gnome -gnutls -httpd -id3tag -ieee1394% -jack -kate -libass -libcaca -libproxy% -libsysfs -libtiger% -libv4l2 -lirc -live -lua -matroska -mmx -modp                                                                          lug -mtp% -musepack -nsplugin -optimisememory -oss (-pda) -pulseaudio -pvr -remoteosd -rtsp -run-as-root -samba -schroedinger -sdl-image -seamonkey -shine% -shout                                                                           -skins -speex -sse -stream -svga -taglib -theora -twolame -upnp -vcdinfo -vcdx -vlm -wma-fixed% -xcb% -xinerama -xosd -zvbi (-arts%) (-esd%*)" 0 kB [0]
[ebuild     U ] x11-apps/ccsm-0.8.4 [0.8.2] 0 kB [?=>0]
[ebuild     U ] net-im/pidgin-2.6.3 [2.5.9-r1] USE="dbus eds gstreamer gtk ncurses nls perl spell -bonjour -debug -doc -gadu -gnutls -groupwise -idn% -meanwhile -n                                                                          etworkmanager -prediction -qq -sasl -silc -tcl -tk -zephyr" 0 kB [0]
[ebuild     U ] x11-drivers/xf86-video-intel-2.9.1 [2.6.3-r1] USE="dri -debug" 0 kB [0]
[ebuild     U ] media-gfx/gimp-2.6.8 [2.6.4] USE="alsa dbus hal jpeg mng* pdf png python svg tiff -aalib (-altivec) -curl -debug -doc -exif -gnome -lcms -mmx -smp                                                                           -sse -webkit -wmf" 0 kB [0]
[ebuild     U ] x11-wm/metacity-2.26.0-r1 [2.24.0-r2] USE="-debug -test% -xinerama" 0 kB [0]
[ebuild     U ] www-plugins/gecko-mediaplayer-0.9.8 [0.9.6] USE="-gnome" 0 kB [0]
[ebuild  NS   ] dev-util/eclipse-sdk-3.4-r2 [3.2.1-r3] USE="-doc -java6" 0 kB [0]
[ebuild     U ] xfce-extra/xfce4-notes-plugin-1.7.1 [1.7.0] USE="-debug" 0 kB [0]
[ebuild     U ] dev-python/gnome-python-2.26.1 [2.22.3] 0 kB [0]
[ebuild     U ] x11-terms/terminal-0.4.2 [0.4.0] USE="dbus -debug -doc" 0 kB [0]
[ebuild     U ] x11-misc/xscreensaver-5.10 [5.08-r2] USE="jpeg opengl pam -new-login -suid -xinerama" 0 kB [0]
[nomerge      ] x11-base/xorg-server-1.6.5-r1  USE="hal ipv6 nptl sdl xorg -debug -dmx -kdrive -minimal -tslib"  [0]
[nomerge      ]  x11-base/xorg-drivers-1.6  INPUT_DEVICES="evdev keyboard mouse -acecad -aiptek -citron -elographics -fpit -hyperpen -joystick -mutouch -penmount -                                                                          synaptics -tslib -virtualbox -vmmouse -void -wacom" VIDEO_CARDS="fglrx -apm -ark -ast -chips -cirrus -dummy -epson -fbdev -geode -glint -i128 -i740 (-impact) -inte                                                                          l -mach64 -mga -neomagic (-newport) -nv -nvidia -r128 -radeon -radeonhd -rendition -s3 -s3virge -savage -siliconmotion -sis -sisusb (-sunbw2) (-suncg14) (-suncg3)                                                                           (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx -tga -trident -tseng -v4l -vesa -via -virtualbox -vmware (-voodoo) -xgi"  [0]
[ebuild     U ]   x11-drivers/xf86-input-evdev-2.3.1 [2.1.3] USE="-debug (-hal%*)" 0 kB [0]
[ebuild     U ]   x11-drivers/xf86-input-mouse-1.5.0 [1.4.0] USE="-debug" 0 kB [0]
[ebuild     U ]   x11-drivers/xf86-input-keyboard-1.4.0 [1.3.2] USE="-debug" 0 kB [0]
[nomerge      ] net-misc/wicd-1.6.2.2 [1.5.9-r1] USE="libnotify%* ncurses%* pm-utils%* -ioctl%"  [0]
[nomerge      ]  dev-python/notify-python-0.1.1-r1  [0]
[nomerge      ]   x11-libs/libnotify-0.4.5  [0]
[ebuild     U ]    x11-misc/notification-daemon-0.4.0-r1 [0.4.0] USE="gstreamer -debug" 0 kB [0]
[nomerge      ] dev-util/eclipse-sdk-3.4-r2 [3.2.1-r3] USE="-doc -java6"  [0]
[ebuild  N    ]  dev-java/ant-eclipse-ecj-3.4  0 kB [0]
[ebuild  N    ]   dev-java/eclipse-ecj-3.4-r4  USE="-java6" 0 kB [0]
[ebuild  N    ]    app-admin/eselect-ecj-0.3  0 kB [0]
[nomerge      ] net-im/pidgin-2.6.3 [2.5.9-r1] USE="dbus eds gstreamer gtk ncurses nls perl spell -bonjour -debug -doc -gadu -gnutls -groupwise -idn% -meanwhile -n                                                                          etworkmanager -prediction -qq -sasl -silc -tcl -tk -zephyr"  [0]
[ebuild     U ]  gnome-extra/evolution-data-server-2.26.3 [2.24.5-r3] USE="ipv6 ldap ssl -debug -doc -gnome-keyring -kerberos -krb4" 0 kB [0]
[nomerge      ] dev-python/gnome-python-2.26.1 [2.22.3] [0]
[ebuild     U ]  dev-python/libgnome-python-2.26.1 [2.22.3] USE="-debug -examples" 0 kB [0]
[ebuild     U ]   dev-python/libbonobo-python-2.26.1 [2.22.3] USE="-debug -examples" 0 kB [0]
[nomerge      ] dev-python/libgnome-python-2.26.1 [2.22.3] USE="-debug -examples"  [0]
[nomerge      ]  gnome-base/libgnomeui-2.24.1  USE="-doc"  [0]
[nomerge      ]   gnome-base/libgnome-2.26.0 [2.24.1] USE="branding%* -debug -doc -esd*"  [0]
[ebuild     U ]    gnome-base/gvfs-1.2.3 [1.0.3-r2] USE="bluetooth gnome* hal -archive -avahi -bash-completion -cdda -debug -doc -fuse -gnome-keyring -gphoto2 -sam                                                                          ba" 0 kB [0]
[ebuild     U ]   gnome-base/libgnome-2.26.0 [2.24.1] USE="branding%* -debug -doc -esd*" 0 kB [0]
[nomerge      ] www-plugins/gecko-mediaplayer-0.9.8 [0.9.6] USE="-gnome"  [0]
[ebuild     U ]  media-video/gnome-mplayer-0.9.8 [0.9.6] USE="alsa libnotify -gnome -ipod -musicbrainz -pulseaudio%" 0 kB [0]
[nomerge      ] x11-wm/metacity-2.26.0-r1 [2.24.0-r2] USE="-debug -test% -xinerama"  [0]
[ebuild  N    ]  gnome-extra/zenity-2.26.0  USE="libnotify -debug" 0 kB [0]
[nomerge      ] dev-python/libgnome-python-2.26.1 [2.22.3] USE="-debug -examples"  [0]
[ebuild     U ]  dev-python/gnome-vfs-python-2.26.1 [2.22.3] USE="-debug -doc -examples" 0 kB [0]
[nomerge      ] net-misc/grdesktop-0.23  USE="-debug"  [0]
[nomerge      ]  gnome-base/libgnomeui-2.24.1  USE="-doc"  [0]
[nomerge      ]   gnome-base/gnome-vfs-2.24.1  USE="acl fam hal ipv6 ssl -avahi -debug -doc -gnutls -kerberos -samba"  [0]
[ebuild     U ]    gnome-base/gnome-mount-0.8-r1 [0.8] USE="libnotify%* -debug -nautilus" 0 kB [0]
[ebuild  N    ] dev-python/notify-python-0.1.1-r1  0 kB [0]
[nomerge      ] xfce-extra/xfce4-volstatus-icon-0.1.0-r1  USE="-debug"  [0]
[ebuild     U ]  xfce-base/exo-0.3.105-r1 [0.3.102-r1] USE="hal libnotify python -debug (-doc%)" 0 kB [0]
[nomerge      ] dev-util/eclipse-sdk-3.4-r2 [3.2.1-r3] USE="-doc -java6"  [0]
[ebuild  N    ]  dev-java/swt-3.4-r4  USE="cairo opengl xulrunner -gnome" 0 kB [0]
[nomerge      ] x11-apps/ccsm-0.8.4 [0.8.2] [?=>0]
[ebuild  N    ]  dev-python/compizconfig-python-0.8.4  0 kB [0]
[ebuild  N    ]   x11-libs/libcompizconfig-0.8.4  0 kB [0]
[ebuild  N    ]    x11-wm/compiz-0.8.4  USE="cairo dbus gtk svg -fuse -gnome -kde" 0 kB [0]
[nomerge      ] net-misc/wicd-1.6.2.2 [1.5.9-r1] USE="libnotify%* ncurses%* pm-utils%* -ioctl%"  [0]
[nomerge      ]  x11-libs/gksu-2.0.2  USE="-debug -doc -gnome"  [0]
[ebuild     U ]   x11-libs/libgksu-2.0.12 [2.0.9] USE="nls -doc (-debug%)" 0 kB [0]
[ebuild     U ]    gnome-base/gnome-keyring-2.26.3 [2.22.3-r1] USE="hal pam -debug -doc -test" 0 kB [0]
[ebuild     U ] net-libs/xulrunner-1.9.1.6 [1.9.1.4] USE="alsa dbus python startup-notification -custom-optimization -debug -gnome -java -sqlite" 0 kB [0]
[nomerge      ] x11-base/xorg-drivers-1.6  INPUT_DEVICES="evdev keyboard mouse -acecad -aiptek -citron -elographics -fpit -hyperpen -joystick -mutouch -penmount -s                                                                          ynaptics -tslib -virtualbox -vmmouse -void -wacom" VIDEO_CARDS="fglrx -apm -ark -ast -chips -cirrus -dummy -epson -fbdev -geode -glint -i128 -i740 (-impact) -intel                                                                           -mach64 -mga -neomagic (-newport) -nv -nvidia -r128 -radeon -radeonhd -rendition -s3 -s3virge -savage -siliconmotion -sis -sisusb (-sunbw2) (-suncg14) (-suncg3) (                                                                          -suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx -tga -trident -tseng -v4l -vesa -via -virtualbox -vmware (-voodoo) -xgi"  [0]
[ebuild  N    ]  x11-drivers/ati-drivers-9.11  USE="modules -debug (-multilib)" 0 kB [0]

Total: 49 packages (38 upgrades, 10 new, 1 in new slot), Size of downloads: 0 kB
Portage tree and overlays:
 [0] /usr/portage
 [?] indicates that the source repository could not be determined


Pour info j'avais un layman desktop-effect que je viens de virer, j'ai aussi virer ce qui se rapportai à compiz.


J'ai essayé de mettre -ati dans le packages.use mais ça voulait toujours installer le pilote ati. C'est une bonne chose que de mettre -ati dans packages.use ?

Merci :)
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7939
Location: ~Brussels - Belgique

PostPosted: Fri Jan 08, 2010 1:12 pm    Post subject: Reply with quote

Salut,

C'est ton VIDEO_CARDS qui est incorrect : fglrx est un pilote ati, tu dois mettre intel à la place.
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
_KdZ
n00b
n00b


Joined: 13 Jan 2009
Posts: 33

PostPosted: Fri Jan 08, 2010 1:30 pm    Post subject: Reply with quote

Super je m'en suis douté ce matin mais sans sans être sur ! Merci !!

Par contre pas mal de mises à jour son passé avec ce mauvais make.conf, comment faire pour vérifier que tous les paquets installés soient bien utiles pour ma config ? si ça ce trouve plein de librairies ont été installé en rapport avec le pilote ati, non ?
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7939
Location: ~Brussels - Belgique

PostPosted: Fri Jan 08, 2010 1:37 pm    Post subject: Reply with quote

Facile, tu fais
Code:
emerge -DuNav world
emerge -Da --depclean
revdep-rebuild -i

Cela va mettre à jour, enlever les paquets inutiles, et réparer les dépendances cassées

et après, un ch'tit
Code:
eclean -d distfiles
pour nettoyer /usr/portage/distfiles
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Fri Jan 08, 2010 2:34 pm    Post subject: Reply with quote

Ce qui est plus étonnant c'est que çà fonctionnait avant :lol:
Enfin bon, maintenant tu sais le pourquoi portage voulait les ati drivers

Edit: arf, nan logique : tu as aussi xorg-x11 d'installé en plus de xorg-server j'ai parlé trop vite... d'où les drivers intel sont présent aussi et X s'est débrouillé avec.
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
_KdZ
n00b
n00b


Joined: 13 Jan 2009
Posts: 33

PostPosted: Fri Jan 08, 2010 3:01 pm    Post subject: Reply with quote

Merci pour tout :)

ça fonctionnait jusqu'au jour où j'ai fait une mise à jour (world) y'a à peu pres 3/4 mois. je vais pouvoir réutiliser mon portable avec une interface graphique :D

J'utilise xfce4 ce n'est pas normal d'avoir xorg-x11 ?

Un peu à part, je cherche une bonne Cheat Sheet pour principalement linux commandes fondamentales et gentoo pour ses particularités (emerge...), un bon lien dans vos bookmarks ?
Back to top
View user's profile Send private message
Pixys
l33t
l33t


Joined: 23 May 2005
Posts: 669

PostPosted: Fri Jan 08, 2010 5:41 pm    Post subject: Reply with quote

_KdZ wrote:

J'utilise xfce4 ce n'est pas normal d'avoir xorg-x11 ?

normalement tu n'as besoin que de x11-base/xorg-server.
Back to top
View user's profile Send private message
_KdZ
n00b
n00b


Joined: 13 Jan 2009
Posts: 33

PostPosted: Fri Jan 08, 2010 8:30 pm    Post subject: Reply with quote

Toutes les mises à jours sont passées super ! je fais le ménage ( Processed 104 info files !) merci pour les commandes Xavier...

J'ai aussi viré xorg-x11 car dans la doc effectivement ça sert pas à grand chose :
Quote:
Note : Vous pouvez installer le méta-paquet xorg-x11 à la place du paquet plus léger xorg-server. Les deux sont équivalents au niveau fonctionnel. Toutefois, xorg-x11 fournit beaucoup plus de paquets dont vous n'avez certainement pas besoin, telles que des collections de polices de caractères dans divers langages. Ceci n'est pas essentiel pour un environnement de bureau habituel.



Juste un truc, je souhaite désinstaller un prog mais j'aimerais savoir quelles sont ses dépendances ? --unmerge supprime aussi les dépendances inutilisées ?
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7939
Location: ~Brussels - Belgique

PostPosted: Fri Jan 08, 2010 9:17 pm    Post subject: Reply with quote

De mon côté, je viens aussi de virer xorg-x11 de mon world, laissant la dépendance xorg-serveur toute seule (hors world) ;)
EDIT: ah ben non, il vaut mieux avoir soit xorg-server, soit xorg-x11 dans world, sinon on perd le server...

EDIT2: finies les fontes cyrilliques et éthiopiennes... fini setxkbmap, xhost, ... ;)
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Sat Jan 09, 2010 8:48 am    Post subject: Reply with quote

XavierMiller wrote:
De mon côté, je viens aussi de virer xorg-x11 de mon world, laissant la dépendance xorg-serveur toute seule (hors world) ;)
EDIT: ah ben non, il vaut mieux avoir soit xorg-server, soit xorg-x11 dans world, sinon on perd le server...
EDIT2: finies les fontes cyrilliques et éthiopiennes... fini setxkbmap, xhost, ... ;)

Oué j'ai toujours été de cet avis. Je n'ai jamais réellement compris pourquoi il n'y avait pas une "priorisation" supplémentaire pour le calculer des dépendances - par exemple lorsque --depclean faisait son ménage à la serpe - mais je sais pertinement bien que ce calcul reste plutôt complexe et qu'il n'y a pas de solution parfaite sur ce point. Cela vient peut-être du fait que les gens font simplement un #emerge <DE> à la place de #emerge <graphic_server> && emerge <DE> ? je ne sais pas, mais il y a sans doute quelque chose à gratter côté dev avec les profile ou qqch du genre
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7939
Location: ~Brussels - Belgique

PostPosted: Sat Jan 09, 2010 11:56 am    Post subject: Reply with quote

Apparemment, DE dépend juste de X, c'est-à-dire des "...proto", pas de xorg-server.
Probabllement pour les serveurs sans écrans, capables de délivrer des applications graphiques sans carte graphique, via réseau.
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum